//---------------------------------------------------------------------------
#ifndef DS2431H
#define DS2431H
//---------------------------------------------------------------------------
#include <Classes.hpp>
//---------------------------------------------------------------------------
//        
struct  DS2431_INPUT_DATA{      unsigned char TA1;              //   
                                unsigned char TA2;              //   
                                unsigned char ES;               //  
                                unsigned int  Size;             //     
                                unsigned int  AreaNumber;};     //          
//        
struct  DS2431_OUTPUT_DATA{     unsigned char TA1;              //   
                                unsigned char TA2;              //   
                                unsigned char ES;               //  
                                unsigned char Test;             //  
                                bool Success;};                 //    

DS2431_OUTPUT_DATA DS2431_WriteToScratchpad(DS2431_INPUT_DATA);         //    Scratchpad (0x0F) (  1, 2, 3)
DS2431_OUTPUT_DATA DS2431_ReadFromScratchpad();                         //    Scratchpad (0xAA) (   3)
DS2431_OUTPUT_DATA DS2431_CopyScratchpadToMemory(DS2431_INPUT_DATA);    //    Scratchpad  EEPROM (0x55)
DS2431_OUTPUT_DATA DS2431_ReadFromMemory(DS2431_INPUT_DATA);            //     (0xF0) (  1, 2)
//---------------------------------------------------------------------------
#endif
 