//---------------------------------------------------------------------------
#ifndef DS2432H
#define DS2432H
//---------------------------------------------------------------------------
#include <Classes.hpp>
//---------------------------------------------------------------------------
//        
struct  DS2432_INPUT_DATA{      unsigned char TA1;              //   
                                unsigned char TA2;              //   
                                unsigned char ES;               //  
                                unsigned int  Size;             //     
                                unsigned int  AreaNumber;};     //          
//        
struct  DS2432_OUTPUT_DATA{     unsigned char TA1;              //   
                                unsigned char TA2;              //   
                                unsigned char ES;               //  
                                unsigned char Test;             //  
                                bool Success;};                 //    

DS2432_OUTPUT_DATA DS2432_WriteToScratchpad(DS2432_INPUT_DATA);         //    Scratchpad (0x0F) ( 1, 2, 3, 4)
DS2432_OUTPUT_DATA DS2432_ReadFromScratchpad();                         //    Scratchpad (0xAA) (  4)
DS2432_OUTPUT_DATA DS2432_LoadFirstSecret(DS2432_INPUT_DATA);           //        (0x5A)
DS2432_OUTPUT_DATA DS2432_ReadFromMemory(DS2432_INPUT_DATA);            //     (0xF0) (  1, 2, 3)
DS2432_OUTPUT_DATA DS2432_CopyScratchpadToMemory(DS2432_INPUT_DATA);    //    Scratchpad  EEPROM, Rigister Page (0x55) ( 1, 3)
DS2432_OUTPUT_DATA DS2432_RefreshScratchpad(DS2432_INPUT_DATA);         //    DS1961S,     EEPROM (0xA3) (     1)
//---------------------------------------------------------------------------
#endif
 