//---------------------------------------------------------------------------
#ifndef DS24B33H
#define DS24B33H
//---------------------------------------------------------------------------
#include <Classes.hpp>
//---------------------------------------------------------------------------
//        
struct  DS24B33_INPUT_DATA{     unsigned char TA1;              //   
                                unsigned char TA2;              //   
                                unsigned char ES;               //  
                                unsigned int  Size;             //     
                                unsigned int  AreaNumber;};     //          
//        
struct  DS24B33_OUTPUT_DATA{    unsigned char TA1;              //   
                                unsigned char TA2;              //   
                                unsigned char ES;               //  
                                unsigned char Test;             //  
                                bool Success;};                 //    

DS24B33_OUTPUT_DATA DS24B33_WriteToScratchpad(DS24B33_INPUT_DATA);      //    Scratchpad (0x0F) (  1, 2)
DS24B33_OUTPUT_DATA DS24B33_ReadFromScratchpad();                       //    Scratchpad (0xAA) (   2)
DS24B33_OUTPUT_DATA DS24B33_CopyScratchpadToMemory(DS24B33_INPUT_DATA); //    Scratchpad  EEPROM (0x55)
DS24B33_OUTPUT_DATA DS24B33_ReadFromMemory(DS24B33_INPUT_DATA);         //     (0xF0) (   1)
//---------------------------------------------------------------------------
#endif
 