//---------------------------------------------------------------------------
#ifndef MAX31826H
#define MAX31826H
//---------------------------------------------------------------------------
#include <Classes.hpp>
//---------------------------------------------------------------------------
//        
struct  MAX31826_INPUT_DATA{    unsigned char SA;               //    (   )
                                unsigned int  Size;             //     
                                unsigned int  AreaNumber;};     //          
//        
struct  MAX31826_OUTPUT_DATA{   unsigned char Test;             //  
                                bool Success;};                 //    

MAX31826_OUTPUT_DATA MAX31826_WriteToScratchpad(MAX31826_INPUT_DATA);     //    Scratchpad2 (0x0F) (  1, 2)
MAX31826_OUTPUT_DATA MAX31826_ReadFromScratchpad(MAX31826_INPUT_DATA);    //    Scratchpad (0xAA  0xBE) (  3  AreaSel=0,  .2  AreaSel=1)
MAX31826_OUTPUT_DATA MAX31826_CopyScratchpadToMemory();                   //    Scratchpad 2  EEPROM (0x55)
MAX31826_OUTPUT_DATA MAX31826_ReadFromMemory(MAX31826_INPUT_DATA);        //     (0xF0) (  1)
MAX31826_OUTPUT_DATA MAX31826_ReadPowerSupply();                          //    Power (0xB4)
MAX31826_OUTPUT_DATA MAX31826_ConvertT();                                 //   (0x44)
float MAX31826_DecodeTemperature();                                       //      

MAX31826_OUTPUT_DATA MAX31826_LockMemory(MAX31826_INPUT_DATA);          //   (Low  High    SA)
MAX31826_OUTPUT_DATA MAX31826_ReadLockStatus(MAX31826_INPUT_DATA);      //    (Low  High     SA)
//---------------------------------------------------------------------------
#endif

