//---------------------------------------------------------------------------
#ifndef DS18S20H
#define DS18S20H
//---------------------------------------------------------------------------
#include <Classes.hpp>
//---------------------------------------------------------------------------
//        
struct  DS18S20_OUTPUT_DATA{    unsigned char Test;             //  
                                bool Success;};                 //    

DS18S20_OUTPUT_DATA DS18S20_WriteToScratchpad();                //    Scratchpad (0x4E) (   1)
DS18S20_OUTPUT_DATA DS18S20_ReadFromScratchpad();               //    Scratchpad (0xBE) (   1)
DS18S20_OUTPUT_DATA DS18S20_CopyScratchpadToMemory();           //    Scratchpad  EEPROM (0x48)
DS18S20_OUTPUT_DATA DS18S20_RecallE2();                         //  TH  TL  EEPROM   (0xB8)
DS18S20_OUTPUT_DATA DS18S20_ReadPowerSupply();                  //    Power (0xB4)
DS18S20_OUTPUT_DATA DS18S20_ConvertT();                         //   (0x44)
float DS18S20_DecodeTemperature();                              //      
void DS18S20_DecodeThresholds();                                //      
//---------------------------------------------------------------------------
#endif
 