//---------------------------------------------------------------------------
#pragma hdrstop
#include "PortFunctions.h"      //      
#include "SendMsgFunctions.h"   //     
//---------------------------------------------------------------------------
#pragma package(smart_init)
//---------------------------------------------------------------------------
//---   -------------------------------------------------
//---------------------------------------------------------------------------
HANDLE Port;                    //  
OVERLAPPED  ovr_wr, ovr_rd;     //  /

int SelectedProgrammer;         //      
//---------------------------------------------------------------------------
//---       --------------------------------------
//---------------------------------------------------------------------------
bool WriteTo(WRITE_BUFFER wr_buf)
{ DWORD temp;

  WriteFile(Port,wr_buf.Data,wr_buf.Size,&temp,&ovr_wr); //    
  WaitForSingleObject(ovr_wr.hEvent,30000);              //    30         
  if(GetOverlappedResult(Port,&ovr_wr,&temp,true)) return true;  //     -  
  else                                             return false; //   - 
}
//---------------------------------------------------------------------------
//--- Ȩ      -----------------------------------------
//---------------------------------------------------------------------------
READ_BUFFER ReadFrom()
{ READ_BUFFER rd_buf;
  COMSTAT     port_status;
  DWORD       temp, mask;
  int         Counter;

  Counter=0; rd_buf.Size=0;
  while(Counter<1000) //   1000 
  { ClearCommError(Port,&temp,&port_status);    //   port_status
    rd_buf.Size=0;
    rd_buf.Size=port_status.cbInQue;            // -  
    if(rd_buf.Size>0)                           //    
    { ReadFile(Port,rd_buf.Data,rd_buf.Size,&temp,&ovr_rd);  //  - 
      return rd_buf;
    }
    Counter++;
    Sleep(1);
  }
  return rd_buf;
}
//---------------------------------------------------------------------------
//---    COM- ----------------------------------------
//---------------------------------------------------------------------------
void OpenCom(char PortName[100])
{ DCB    dcb;           //  DCB
  WRITE_BUFFER wr_buf;  //        
  READ_BUFFER rd_buf;   //    

  dcb.DCBlength=sizeof(DCB);
  //   .     nt-  
  // "\\.\PortName",      \    2 
  Port=CreateFile(PortName,GENERIC_READ|GENERIC_WRITE,0,NULL,OPEN_EXISTING,FILE_FLAG_OVERLAPPED,NULL);
  if(Port==INVALID_HANDLE_VALUE)
  { SendMsgToLogForm(2,"");    // . COM-  
    return;
  }
  else
  { if(GetCommState(Port,&dcb)==0)
    { SendMsgToLogForm(6,"");    //    COM-
      CloseHandle(Port);
      Port=INVALID_HANDLE_VALUE;
      return;
    }
    else
    { switch(SelectedProgrammer)
      { case 1:  dcb.BaudRate=115200;
                 break;
        case2:
        default:
                 dcb.BaudRate=250000;
      }
      dcb.ByteSize=8;
      dcb.Parity=0;
      dcb.StopBits=2;
      dcb.fBinary=true;          //  
      dcb.fOutxCtsFlow=false;    //  CTS
      dcb.fOutxDsrFlow=false;    //  DSR
      dcb.fDtrControl=DTR_CONTROL_DISABLE;     // DTR
      dcb.fDsrSensitivity=false;               //  DSR
      dcb.fNull=false;           //  
      dcb.fRtsControl=RTS_CONTROL_DISABLE;    // RTS
      dcb.fAbortOnError=false;   //  /  
    }
    if(SetCommState(Port,&dcb)==0)
    { SendMsgToLogForm(7,"");    //    COM-
      CloseHandle(Port);
      Port=INVALID_HANDLE_VALUE;
      return;
    }

    SetupComm(Port,BUFSIZE+100,BUFSIZE+100);       //    
    PurgeComm(Port,PURGE_RXCLEAR|PURGE_TXCLEAR);   //     

    //  
    wr_buf.Size=3;
    wr_buf.Data[0]=0x0A;     // disable autoload
    wr_buf.Data[1]=0x08;     // disable reports
    wr_buf.Data[2]=0x03;     // select 1W
    if(!WriteTo(wr_buf)) { SendMsgToLogForm(8,"");    //   
                           CloseHandle(Port);
                           Port=INVALID_HANDLE_VALUE;
                           return;
                         }
    if(SelectedProgrammer==2)
    {   //---      +12  ---
        //   PORTC ( PINC!)
        wr_buf.Size=1;
        wr_buf.Data[0]=0x12;                        // PORTCRead
        if(!WriteTo(wr_buf)) { SendMsgToLogForm(32," PORTCRead");    //   
                               CloseHandle(Port);
                               Port=INVALID_HANDLE_VALUE;
                               return;
                             }
        //  ,  PORTC
        rd_buf=ReadFrom();                                          // 
        if(!rd_buf.Size) { SendMsgToLogForm(21," PORTC");           //   
                           CloseHandle(Port);
                           Port=INVALID_HANDLE_VALUE;
                           return;
                         }
        wr_buf.Size=2;
        wr_buf.Data[0] = 0x11;                      // PORTCSetup
        wr_buf.Data[1] = rd_buf.Data[0] & 0xFB;     //   2 ( +5 )
        wr_buf.Data[1] = rd_buf.Data[0] | 0x8;      //   3 ( +12 )
        if(!WriteTo(wr_buf)) { SendMsgToLogForm(32," PORTCSetup");  //   
                               CloseHandle(Port);
                               Port=INVALID_HANDLE_VALUE;
                               return;
                             }
        //   DDRC
        wr_buf.Size=1;
        wr_buf.Data[0]=0x10;                        // DDRCRead
        if(!WriteTo(wr_buf)) { SendMsgToLogForm(32," DDRCRead");    //   
                               CloseHandle(Port);
                               Port=INVALID_HANDLE_VALUE;
                               return;
                             }
        //  ,  DDRC
        rd_buf=ReadFrom();                                          // 
        if(!rd_buf.Size) { SendMsgToLogForm(21," DDRC");            //   
                           CloseHandle(Port);
                           Port=INVALID_HANDLE_VALUE;
                           return;
                         }
        wr_buf.Size=2;
        wr_buf.Data[0] = 0x0F;                      // DDRCSetup
        //wr_buf.Data[1] = rd_buf.Data[0] | 0x4;    //   2 (  +5  )
        wr_buf.Data[1] = rd_buf.Data[0] | 0xC;      //   2  3 (  +5  +12  )
        if(!WriteTo(wr_buf)) { SendMsgToLogForm(32," DDRCSetup");   //   
                               CloseHandle(Port);
                               Port=INVALID_HANDLE_VALUE;
                               return;
                             }
    }
  }
}
//---------------------------------------------------------------------------
